Summary: ccscript - a Common C++ class framework for embedded scripting
Name: ccscript
Version: 1.3.0
Release: 3
Group: Development/Libraries
Source: ccscript-%{PACKAGE_VERSION}.tar.gz
Prefix: %{_prefix}
Copyright: GPL
BuildRoot: %{_tmppath}/ccscript-root
Packager: David Sugar <dyfet@ostel.com>
Requires: CommonC++ >= 1.3.0
Obsoletes: CommonC++Extra

%description
The OST ccscript package offers a class extensible threaded embedded
scripting engine for use with the Common C++ GNU package.  This engine is
also used in Bayonne (the GNU telephony server package), and in TOSI
(FreeBSD and GNU/Linux PBX integration servers).  This engine differs from
traditional scripting systems in that it is used to script near real-time
state-event systems through deterministic callback step execution rather
than the linear and non-deterministic fashion of embedded script systems
such as tcl, libguile, etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
./configure --prefix=%{_prefix}

%build
uname -a|grep SMP && make -j 2 || make

%install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	mandir=$RPM_BUILD_ROOT/%{_mandir} install
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	mandir=$RPM_BUILD_ROOT/%{_mandir} man
strip $RPM_BUILD_ROOT/%{_prefix}/lib/libcc*.so.*

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog doc/html
%{_prefix}/lib/libcc*
%{_prefix}/include/cc++/script.h
%{_prefix}/bin/ccscript
%{_mandir}/man3/*.3cc*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig -n /usr/lib

%postun
/sbin/ldconfig -n /usr/lib

